{
    "fields": {
        "name": {
            "type": "varchar",
            "required": true,
            "pattern": "$noBadCharacters"
        },
        "description": {
            "type": "text",
            "copyToClipboard": true
        },
        "createdAt": {
            "type": "datetime",
            "readOnly": true
        },
        "modifiedAt": {
            "type": "datetime",
            "readOnly": true
        },
        "createdBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "modifiedBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "assignedUser": {
            "type": "link",
            "required": false,
            "view": "views/fields/assigned-user"
        },
        "teams": {
            "type": "linkMultiple",
            "view": "views/fields/teams"
        },
        "dokument": {
            "type": "file",
            "required": true,
            "readOnlyAfterCreate": true,
            "sourceList": [],
            "accept": [],
            "isCustom": true
        },
        "ydocumentuuid": {
            "type": "varchar",
            "maxLength": 100,
            "readOnlyAfterCreate": true,
            "options": [],
            "isCustom": true
        },
        "preview": {
            "type": "image",
            "previewSize": "medium",
            "listPreviewSize": "medium",
            "readOnlyAfterCreate": false,
            "isCustom": true
        },
        "md5sum": {
            "type": "varchar",
            "maxLength": 32,
            "copyToClipboard": true,
            "readOnlyAfterCreate": true,
            "options": [],
            "isCustom": true
        },
        "sha256": {
            "type": "varchar",
            "maxLength": 64,
            "readOnlyAfterCreate": true,
            "options": [],
            "isCustom": true,
            "copyToClipboard": true
        },
        "betnr": {
            "type": "int",
            "required": false,
            "tooltip": true,
            "isCustom": true
        },
        "advowareLastSync": {
            "type": "datetime",
            "required": false,
            "readOnly": true,
            "tooltip": true,
            "isCustom": true
        },
        "syncStatus": {
            "type": "enum",
            "required": false,
            "options": [
                "clean",
                "unclean",
                "failed"
            ],
            "style": {
                "clean": "success",
                "unclean": "warning",
                "failed": "danger"
            },
            "default": "clean",
            "tooltip": true,
            "isCustom": true
        }
    },
    "links": {
        "createdBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "modifiedBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "assignedUser": {
            "type": "belongsTo",
            "entity": "User"
        },
        "teams": {
            "type": "hasMany",
            "entity": "Team",
            "relationName": "entityTeam",
            "layoutRelationshipsDisabled": true
        },
        "dokument": {
            "type": "belongsTo",
            "entity": "Attachment",
            "skipOrmDefs": true,
            "utility": true
        },
        "preview": {
            "type": "belongsTo",
            "entity": "Attachment",
            "skipOrmDefs": true,
            "utility": true
        },
        "contactsvmhdokumente": {
            "type": "hasMany",
            "relationName": "cDokumenteContact",
            "foreign": "cDokumentesvmhcontact",
            "entity": "Contact",
            "audited": false,
            "isCustom": true
        },
        "vmhMietverhltnisesDokumente": {
            "type": "hasMany",
            "relationName": "cVmhMietverhltnisDokumente",
            "foreign": "dokumentesvmhMietverhltnisse",
            "entity": "CVmhMietverhltnis",
            "audited": false,
            "isCustom": true
        },
        "vmhErstgespraechsdokumente": {
            "type": "hasMany",
            "relationName": "cDokumenteVmhErstgespraech",
            "foreign": "dokumentesvmherstgespraech",
            "entity": "CVmhErstgespraech",
            "audited": false,
            "isCustom": true
        },
        "vmhRumungsklagesdokumente": {
            "type": "hasMany",
            "relationName": "cDokumenteVmhRumungsklage",
            "foreign": "dokumentesvmhraumungsklage",
            "entity": "CVmhRumungsklage",
            "audited": false,
            "isCustom": true
        },
        "beteiligte2dokumente": {
            "type": "hasMany",
            "relationName": "cBeteiligteDokumente",
            "foreign": "dokumentesBeteiligte",
            "entity": "CBeteiligte",
            "audited": false,
            "isCustom": true
        },
        "mietobjekt2dokumente": {
            "type": "hasMany",
            "relationName": "cMietobjektDokumente",
            "foreign": "dokumentesMietobjekt",
            "entity": "CMietobjekt",
            "audited": false,
            "isCustom": true
        }
    },
    "collection": {
        "orderBy": "createdAt",
        "order": "desc",
        "textFilterFields": [
            "name",
            "description"
        ],
        "fullTextSearch": false,
        "countDisabled": false
    },
    "indexes": {
        "name": {
            "columns": [
                "name",
                "deleted"
            ]
        },
        "assignedUser": {
            "columns": [
                "assignedUserId",
                "deleted"
            ]
        },
        "createdAt": {
            "columns": [
                "createdAt"
            ]
        },
        "createdAtId": {
            "unique": true,
            "columns": [
                "createdAt",
                "id"
            ]
        },
        "betnr": {
            "columns": [
                "betnr"
            ]
        },
        "md5sum": {
            "columns": [
                "md5sum"
            ]
        },
        "sha256": {
            "columns": [
                "sha256"
            ]
        }
    },
    "optimisticConcurrencyControl": false
}